<?php

use Spire\Cloud\Powerpoint\Sdk\Api\PropertiesApi;
use Spire\Cloud\Powerpoint\Sdk\Configuration;
use Spire\Cloud\Powerpoint\Sdk\Model\DocumentProperty;
use Spire\Cloud\Powerpoint\Sdk\Model\DocumentProperties;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new PropertiesApi($configuration);

$name = "test_properties.pptx";
$password = null;
$folder = "pptdocument";
$storage = null;
$p0 = new DocumentProperty();
$p0->setName("APIs");
$p0->setValue("Spire.Cloud");
$p0->setBuiltIn(false);
$p1 = new DocumentProperty();
$p1->setName("Company");
$p1->setValue("E-ICEBLUE");
$p1->setBuiltIn(false);
$List = array($p0, $p1);
$properties = new DocumentProperties();
$properties->setList($List);
$result = $apiInstance->postPptSetDocumentProperties($name, $properties, $password, $folder, $storage);
print_r($result);