<?php

use Spire\Cloud\Powerpoint\Sdk\Api\SlidesApi;
use Spire\Cloud\Powerpoint\Sdk\Configuration;
use Spire\Cloud\Powerpoint\Sdk\Model\ResourceUriElement;
use Spire\Cloud\Powerpoint\Sdk\Model\ResourceUri;

$appId = "your id";
$appKey = "your key";
$configuration = new Configuration($appId, $appKey);
$apiInstance = new SlidesApi($configuration);

$name = "test.pptx";
$slideIndex = 1;
$password = null;
$folder = "pptdocument";
$storage = null;
$slideDto = $apiInstance->getPptSlide($name, $slideIndex, $password, $folder, $storage);
$uriElement = new ResourceUriElement();
$uri = new ResourceUri();
$uri->setHref("TitleOnly");
$uriElement->setUri($uri);
$slideDto->setAlternateLinks(null);
$slideDto->setLayoutSlide($uriElement);
$slideDto->setShowMasterShapes(!$slideDto->getShowMasterShapes());
$result = $apiInstance->putPptSlide($name, $slideIndex, $slideDto, $password, $folder, $storage);
print_r($result);